gambas3-ide-3.9.2-3.mga6.i586.rpm


Advertisement

Description

gambas3-ide - The Gambas IDE

Property Value
Distribution Mageia 6.0
Repository Mageia Core i586
Package name gambas3-ide
Package version 3.9.2
Package release 3.mga6
Package architecture i586
Package type rpm
Installed size 6.51 MB
Download size 2.33 MB
Official Mirror distrib-coffee.ipsl.jussieu.fr
This package together with dependencies form the complete Gambas Development
Environment. Other gambas3-* packages may be needed to run programs
(including the examples), in which case there will be messages about that.

Alternatives

Package Version Architecture Repository
gambas3-ide-3.9.2-3.mga6.x86_64.rpm 3.9.2 x86_64 Mageia Core
gambas3-ide - - -

Requires

Name Value
coreutils -
gambas3-devel == 3.9.2
gambas3-gb-clipper == 3.9.2
gambas3-gb-db == 3.9.2
gambas3-gb-db-form == 3.9.2
gambas3-gb-dbus == 3.9.2
gambas3-gb-desktop == 3.9.2
gambas3-gb-eval-highlight == 3.9.2
gambas3-gb-form == 3.9.2
gambas3-gb-form-dialog == 3.9.2
gambas3-gb-form-editor == 3.9.2
gambas3-gb-form-mdi == 3.9.2
gambas3-gb-form-stock == 3.9.2
gambas3-gb-form-terminal == 3.9.2
gambas3-gb-geom == 3.9.2
gambas3-gb-gui == 3.9.2
gambas3-gb-image == 3.9.2
gambas3-gb-image-effect == 3.9.2
gambas3-gb-inotify == 3.9.2
gambas3-gb-markdown == 3.9.2
gambas3-gb-net == 3.9.2
gambas3-gb-net-curl == 3.9.2
gambas3-gb-qt5 == 3.9.2
gambas3-gb-qt5-ext == 3.9.2
gambas3-gb-qt5-webkit == 3.9.2
gambas3-gb-sdl2 == 3.9.2
gambas3-gb-sdl2-audio == 3.9.2
gambas3-gb-settings == 3.9.2
gambas3-gb-util == 3.9.2
gambas3-gb-util-web == 3.9.2
gambas3-runtime == 3.9.2
gettext -
rpm-build -

Provides

Name Value
appdata() -
appdata(gambas3.appdata.xml) -
application() -
application(gambas3.desktop) -
gambas3-ide == 3.9.2-3.mga6
gambas3-ide(x86-32) == 3.9.2-3.mga6

Obsoletes

Name Value
gambas3-examples < 3.8.4-8

Download

Type URL
Binary Package gambas3-ide-3.9.2-3.mga6.i586.rpm
Source Package gambas3-3.9.2-3.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install gambas3-ide rpm package:
    # urpmi gambas3-ide

Files

Path
/usr/bin/gambas3
/usr/bin/gambas3.gambas
/usr/share/appdata/gambas3.appdata.xml
/usr/share/applications/gambas3.desktop
/usr/share/icons/hicolor/128x128/apps/gambas3.png
/usr/share/icons/hicolor/16x16/apps/gambas3.png
/usr/share/icons/hicolor/22x22/apps/gambas3.png
/usr/share/icons/hicolor/32x32/apps/gambas3.png
/usr/share/icons/hicolor/64x64/apps/gambas3.png
/usr/share/icons/hicolor/scalable/apps/gambas3.svg
/usr/share/pixmaps/gambas3.png

Changelog

2017-03-10 - akien <akien> 3.9.2-3.mga6
+ Revision: 1091604
- Rebuild for v4l-utils 1.12.3
2017-01-07 - tmb <tmb> 3.9.2-2.mga6
+ Revision: 1080480
- rebuild with new llvm
2017-01-03 - daviddavid <daviddavid> 3.9.2-1.mga6
+ Revision: 1079971
- new version: 3.9.2
2017-01-02 - luigiwalser <luigiwalser> 3.9.1-3.mga6
+ Revision: 1079507
- rebuild for poppler
2016-11-28 - luigiwalser <luigiwalser> 3.9.1-2.mga6
+ Revision: 1070622
- rebuild for poppler
2016-09-11 - daviddavid <daviddavid> 3.9.1-1.mga6
+ Revision: 1051500
- new version: 3.9.1
- add gb-form-terminal component
- add gb-qt5-ext component
- add gb-web-form component
2016-08-26 - daviddavid <daviddavid> 3.8.4-9.mga6
+ Revision: 1049009
- fix files list between gambas3-gb-util and gambas3-gb-util-web
- add a Conflicts with gambas3-gb-util < 3.8.4-9
2016-08-18 - daviddavid <daviddavid> 3.8.4-8.mga6
+ Revision: 1046915
- remove empty gambas3-examples sub-package (mga#19211#c6)
* removed upstream as all examples files are now downloadable
- enable SDL2 and SDL2-audio support (mga#19211#c7)
- enable OpenAL support (need alure-devel to build)
- enable SQLite2 support
2016-08-18 - daviddavid <daviddavid> 3.8.4-7.mga6
+ Revision: 1046900
- add some missing required packages on gambas3-ide sub-package (mga#19211)
- improve description of gambas3-ide sub-package (mga#19211#c4)
- enable Qt5 support and make it the default installed (mga#19212)
- switch BRs to pkgconfig()
2016-08-13 - luigiwalser <luigiwalser> 3.8.4-6.mga6
+ Revision: 1046178
- test rebuild for poppler

See Also

Package Description
gambas3-runtime-3.9.2-3.mga6.i586.rpm The Gambas runtime
gambas3-script-3.9.2-3.mga6.i586.rpm The Gambas scripter package
gameconqueror-0.15.7-1.mga6.i586.rpm CheatEngline-alike interface for scanmem
gamin-0.1.10-17.mga6.i586.rpm Library providing the FAM File Alteration Monitor API
gamine-1.5-2.mga6.i586.rpm An interactive game for young children
gammu-1.35.0-4.mga6.i586.rpm Mobile phones tools for Unix (Linux) and Win32
ganglia-core-3.6.0-7.mga6.i586.rpm Cluster Core
ganglia-gmetad-3.6.0-7.mga6.i586.rpm Meta daemon
ganglia-script-3.6.0-7.mga6.i586.rpm Cluster Script
ganglia-web-3.7.2-1.mga6.noarch.rpm Ganglia Web Frontend
ganttproject-2.5.4-8.mga6.i586.rpm Desktop tool for project scheduling and management
ganyremote-6.3.3-2.mga6.noarch.rpm GTK front-end for anyRemote
gapi-ocaml-0.3.3-1.mga6.i586.rpm A simple OCaml client for Google Services
gapi-ocaml-devel-0.3.3-1.mga6.i586.rpm Development files for gapi-ocaml
garcon-data-0.6.0-1.mga6.i586.rpm Locale and data files for garcon
Advertisement
Advertisement